## krita 4.3.0+dfsg

=== debian/changelog ===
krita (1:4.3.0+dfsg-1build2) groovy; urgency=medium

  * Rebuild against new libopenexr25.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 05 Sep 2020 17:15:44 +0200

krita (1:4.3.0+dfsg-1build1) groovy; urgency=medium

  * No change rebuild against new ilmbase ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 27 Aug 2020 23:38:52 +0100

krita (1:4.3.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.0.0
    - remove libkf5archive-dev, no more needed
    - add libopenjp2-7-dev
  * Update copyright.
  * Add Rules-Requires-Root: no.

 -- Pino Toscano <pino@debian.org>  Thu, 18 Jun 2020 14:00:19 +0200

=== debian/control ===
Source: krita
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake (>= 3.0.0~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.22.0),
               gettext,
               libboost-system-dev,
               libeigen3-dev,
               libexiv2-dev,
               libfftw3-dev,
               libgif-dev,
               libgsl-dev,
               libheif-dev,
               libjpeg-dev,
               libkf5completion-dev (>= 5.44.0),
               libkf5config-dev (>= 5.44.0),
               libkf5coreaddons-dev (>= 5.44.0),
               libkf5crash-dev (>= 5.44.0),
               libkf5guiaddons-dev (>= 5.44.0),
               libkf5i18n-dev (>= 5.44.0),
               libkf5itemmodels-dev (>= 5.44.0),
               libkf5itemviews-dev (>= 5.44.0),
               libkf5widgetsaddons-dev (>= 5.44.0),
               libkf5windowsystem-dev (>= 5.44.0),
               liblcms2-dev,
               libopencolorio-dev,
               libopenexr-dev,
               libopenjp2-7-dev (>= 2.3.0~),
               libpng-dev,
               libpoppler-qt5-dev,
               libquazip5-dev,
               libqt5opengl5-desktop-dev,
               libqt5svg5-dev (>= 5.9.0),
               libqt5x11extras5-dev (>= 5.9.0),
               libraw-dev,
               libtiff-dev,
               libxcb-util0-dev,
               libxcb1-dev,
               libxi-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               pyqt5-dev,
               python3-dev,
               python3-pyqt5,
               python3-sip-dev,
               qtbase5-dev (>= 5.9.0),
               qtdeclarative5-dev (>= 5.9.0),
               qtmultimedia5-dev (>= 5.9.0),
               vc-dev [any-i386 any-amd64],
               zlib1g-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://krita.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/krita.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/krita

Package: krita
Architecture: any
Section: graphics
Depends: krita-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: krita-gmic, python3-sip, python3-pyqt5, qml-module-qtmultimedia
Suggests: colord, ffmpeg, krita-l10n (>= ${source:Version})
Built-Using: ${vc:Built-Using}
Description: pixel-based image manipulation program
 Krita is a creative application for raster images. Whether you want to create
 from scratch or work with existing images, Krita is for you. You can work with
 photos or scanned images, or start with a blank slate. Krita supports most
 graphics tablets out of the box.
 .
 Krita is different from other graphics design programs in that it has
 pluggable brush engines, some supporting brush resources like Gimp brush files,
 others offering sophisticated simulation of real brushes, and others again
 offering color mixing and image deformations. Moreover, Krita has full
 support for graphics tablets, including such features as pressure, tilt and
 rate, making it a great choice for artists. There are easy to use tools for
 drawing lines, ellipses and rectangles, and the freehand tool is supported by
 pluggable "drawing assistants" that help you draw shapes that still have a
 freehand feeling to them.

Package: krita-data
Architecture: all
Section: graphics
Depends: ${misc:Depends}
Description: data files for Krita painting program
 This package contains architecture-independent data files for Krita.
 .
 See the krita package for further information.

Package: krita-l10n
Architecture: all
Section: localization
Depends: ${misc:Depends}
Description: translations for Krita painting program
 This package contains the translations for Krita, the painting program.
 .
 See the krita package for further information.

## krita 4.4.0+dfsg

=== debian/changelog ===
krita (1:4.4.0+dfsg-0.1~mx19+1) mx; urgency=medium

  * New upstream release.
  * Add usr/bin/krita_version to debian/not-installed to work around FTBFS.
  * Install customized Krita desktop file from /debian so krita-gmic at least
    works from the menu.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 13 Oct 2020 10:36:07 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: krita
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: cmake (>= 3.0.0~),
@@ -32,10 +32,10 @@
                libopenjp2-7-dev (>= 2.3.0~),
                libpng-dev,
                libpoppler-qt5-dev,
-               libquazip5-dev,
                libqt5opengl5-desktop-dev,
                libqt5svg5-dev (>= 5.9.0),
                libqt5x11extras5-dev (>= 5.9.0),
+               libquazip5-dev,
                libraw-dev,
                libtiff-dev,
                libxcb-util0-dev,
@@ -61,8 +61,9 @@
 Package: krita
 Architecture: any
 Section: graphics
-Depends: krita-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
-Recommends: krita-gmic, python3-sip, python3-pyqt5, qml-module-qtmultimedia
+Depends: krita-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends},
+         python3-pyqt5, python3-sip, qml-module-qtmultimedia
+Recommends: krita-gmic
 Suggests: colord, ffmpeg, krita-l10n (>= ${source:Version})
 Built-Using: ${vc:Built-Using}
 Description: pixel-based image manipulation program

## krita 4.4.1+dfsg

=== debian/changelog ===
krita (1:4.4.1+dfsg-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Install customized Krita desktop file from /debian so krita-gmic at least
    works when launched from the menu on MX XFCE.
  * Revert to dh-compat=12 and again pass --fail-missing to dh_missing.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 01 Nov 2020 08:31:42 -0800

krita (1:4.4.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fix typo in changelog entry for 1:4.4.0+dfsg-1.

 -- Pino Toscano <pino@debian.org>  Thu, 29 Oct 2020 12:56:50 +0100

krita (1:4.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release:
    - fixes compatibility with PyQt5 build with sip5 (Closes: #971173)
  * Update copyright.
  * Update install files.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
    - stop passing --fail-missing to dh_missing, as it is the default now
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Tue, 13 Oct 2020 20:31:56 +0200

=== debian/control ===
--- 
+++ 
@@ -61,9 +61,8 @@
 Package: krita
 Architecture: any
 Section: graphics
-Depends: krita-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends},
-         python3-pyqt5, python3-sip, qml-module-qtmultimedia
-Recommends: krita-gmic
+Depends: krita-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Recommends: krita-gmic, python3-pyqt5, python3-sip, qml-module-qtmultimedia
 Suggests: colord, ffmpeg, krita-l10n (>= ${source:Version})
 Built-Using: ${vc:Built-Using}
 Description: pixel-based image manipulation program

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
ifeq ($(DEB_HOST_ARCH_CPU),$(findstring $(DEB_HOST_ARCH_CPU),amd64 i386))
  VC_DEV_VERSION = $(shell dpkg-query -Wf '$${source:Package} (= $${source:Version})' vc-dev)
else
  VC_DEV_VERSION =
endif

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DFOUNDATION_BUILD=OFF -DBUILD_TESTING=OFF

override_dh_auto_install:
	dh_auto_install
	# remove symlinks of private libraries
	find debian/tmp -name '*.so' -type l -print -delete

override_dh_gencontrol:
	dh_gencontrol -pkrita -- -Vvc:Built-Using='$(VC_DEV_VERSION)'
	dh_gencontrol --remaining-packages

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_missing:
	dh_missing --fail-missing

.PHONY: override_dh_auto_test

## krita 4.4.2%2Bdfsg

=== krita/CMakeLists.txt ===
project(krita)

include_directories(SYSTEM
    ${EIGEN3_INCLUDE_DIR}
    ${Vc_INCLUDE_DIR}
)

add_subdirectory( dtd )
add_subdirectory( data )
add_subdirectory( integration )
# Install the application icons following the freedesktop icon theme spec
add_subdirectory( pics/app )

if (ANDROID)
    include_directories (${Qt5AndroidExtras_INCLUDE_DIRS})
endif()

set(krita_SRCS main.cc)

# Set the application icon on the application
if (NOT APPLE)
    file(GLOB ICON_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/pics/app/*-apps-krita.png")
else()
    set(ICON_SRCS
         "${CMAKE_CURRENT_SOURCE_DIR}/pics/app/16-apps-krita.png"
         "${CMAKE_CURRENT_SOURCE_DIR}/pics/app/32-apps-krita.png"
         "${CMAKE_CURRENT_SOURCE_DIR}/pics/app/48-apps-krita.png"
         "${CMAKE_CURRENT_SOURCE_DIR}/pics/app/128-apps-krita.png"
         "${CMAKE_CURRENT_SOURCE_DIR}/pics/app/256-apps-krita.png"
         "${CMAKE_CURRENT_SOURCE_DIR}/pics/app/512-apps-krita.png"
         "${CMAKE_CURRENT_SOURCE_DIR}/pics/app/1024-apps-krita.png"
    )
endif() 
ecm_add_app_icon(krita_SRCS ICONS ${ICON_SRCS})

# Install the mimetype icons
ecm_install_icons(ICONS
    "${CMAKE_CURRENT_SOURCE_DIR}/pics/mimetypes/16-mimetypes-application-x-krita.png"
    "${CMAKE_CURRENT_SOURCE_DIR}/pics/mimetypes/22-mimetypes-application-x-krita.png"
    "${CMAKE_CURRENT_SOURCE_DIR}/pics/mimetypes/32-mimetypes-application-x-krita.png"
    "${CMAKE_CURRENT_SOURCE_DIR}/pics/mimetypes/48-mimetypes-application-x-krita.png"
    "${CMAKE_CURRENT_SOURCE_DIR}/pics/mimetypes/64-mimetypes-application-x-krita.png"
    "${CMAKE_CURRENT_SOURCE_DIR}/pics/mimetypes/128-mimetypes-application-x-krita.png"
    "${CMAKE_CURRENT_SOURCE_DIR}/pics/mimetypes/256-mimetypes-application-x-krita.png"
    "${CMAKE_CURRENT_SOURCE_DIR}/pics/mimetypes/512-mimetypes-application-x-krita.png"
    "${CMAKE_CURRENT_SOURCE_DIR}/pics/mimetypes/1024-mimetypes-application-x-krita.png"
    DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor)

# separate listing, both used by Krita and KritaSketch
set(krita_QRCS
    ${CMAKE_SOURCE_DIR}/krita/krita.qrc
    ${CMAKE_SOURCE_DIR}/krita/pics/Breeze-dark/breeze-dark-icons.qrc
    ${CMAKE_SOURCE_DIR}/krita/pics/Breeze-light/breeze-light-icons.qrc
    ${CMAKE_SOURCE_DIR}/krita/pics/layerbox/layerbox-icons.qrc
    ${CMAKE_SOURCE_DIR}/krita/pics/layerbox/svg/layerbox-svg-icons.qrc
    ${CMAKE_SOURCE_DIR}/krita/pics/layers/layers-icons.qrc
    ${CMAKE_SOURCE_DIR}/krita/pics/misc-light/misc-light-icons.qrc
    ${CMAKE_SOURCE_DIR}/krita/pics/misc-dark/misc-dark-icons.qrc
    ${CMAKE_SOURCE_DIR}/krita/pics/paintops/paintops-icons.qrc
    ${CMAKE_SOURCE_DIR}/krita/pics/tools/SVG/16/tools-svg-16-icons.qrc
    ${CMAKE_SOURCE_DIR}/krita/pics/tool_transform/tool-transform-icons.qrc
    ${CMAKE_SOURCE_DIR}/krita/pics/svg/svg-icons.qrc
    ${CMAKE_SOURCE_DIR}/libs/flake/flake.qrc
    ${CMAKE_SOURCE_DIR}/libs/widgets/kritawidgets.qrc
    ${CMAKE_SOURCE_DIR}/pics/icons.qrc
    ${CMAKE_SOURCE_DIR}/krita/data/aboutdata/aboutdata.qrc
    ${CMAKE_SOURCE_DIR}/krita/data/shaders/shaders.qrc
    ${CMAKE_SOURCE_DIR}/krita/data/cursors/cursors.qrc
    CACHE INTERNAL "krita_QRCS"
)

qt5_add_resources(krita_SRCS ${krita_QRCS})

if (ANDROID)
    add_library(krita SHARED ${krita_SRCS})
    target_link_libraries(krita PRIVATE Qt5::AndroidExtras)
else()
    add_executable(krita ${krita_SRCS})
endif()
target_link_libraries(krita 
    PRIVATE
                      kritaui 
                      Qt5::Core
                      Qt5::Gui
                      Qt5::Widgets
                      Qt5::Xml
                      Qt5::Network
                      Qt5::PrintSupport
                      Qt5::Svg
                      Qt5::Concurrent)
if(HAVE_KCRASH)
    target_link_libraries(krita PRIVATE KF5::Crash)
endif()

if (APPLE)
    set_target_properties(krita PROPERTIES INSTALL_RPATH "@loader_path/../../../../lib;@loader_path/../lib;@loader_path/../Frameworks;@executable_path/../lib;@executable_path/../Frameworks")
    set_target_properties(krita PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.template)
    set_target_properties(krita PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.krita")
    set_target_properties(krita PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "Krita")
    set_target_properties(krita PROPERTIES MACOSX_BUNDLE_ICON_FILE "krita_SRCS.icns")
    set_target_properties(krita PROPERTIES MACOSX_BUNDLE_LONG_VERSION_STRING ${KRITA_VERSION_STRING})
    set_target_properties(krita PROPERTIES MACOSX_BUNDLE_SHORT_VERSION_STRING ${KRITA_VERSION_STRING})
    set_target_properties(krita PROPERTIES MACOSX_BUNDLE_VERSION ${KRITA_VERSION_STRING})
    set_target_properties(krita PROPERTIES MACOSX_BUNDLE_COPYRIGHT "GNU Public License, V2 or, at your option, any later version.")
endif ()

if (NOT ANDROID)
  set(KRITAVERSION_SRCS kritaversion.cpp)
  add_executable(krita_version ${KRITAVERSION_SRCS})
  target_link_libraries(krita_version
    PRIVATE
        Qt5::Core
        kritaversion
  )


  install(TARGETS krita_version ${INSTALL_TARGETS_DEFAULT_ARGS})
endif()


install(TARGETS krita ${INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.krita.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES  krita.action kritamenu.action DESTINATION ${DATA_INSTALL_DIR}/krita/actions)
install(FILES  org.kde.krita.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

install(DIRECTORY DESTINATION ${DATA_INSTALL_DIR}/krita/shortcuts)

=== libs/ui/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/qtlockedfile
)

include_directories(SYSTEM
    ${EIGEN3_INCLUDE_DIR}
    ${OCIO_INCLUDE_DIR}
)

if (ANDROID)
    add_definitions(-DQT_OPENGL_ES_3)
    add_definitions(-DHAS_ONLY_OPENGL_ES)
    include_directories (${Qt5AndroidExtras_INCLUDE_DIRS})
endif()

add_subdirectory( tests )

if (APPLE)
    find_library(FOUNDATION_LIBRARY Foundation)
    find_library(APPKIT_LIBRARY AppKit)
endif ()

set(kritaui_LIB_SRCS
    canvas/kis_canvas_widget_base.cpp
    canvas/kis_canvas2.cpp
    canvas/kis_canvas_updates_compressor.cpp
    canvas/kis_canvas_controller.cpp
    canvas/kis_display_color_converter.cpp
    canvas/kis_display_filter.cpp
    canvas/kis_exposure_gamma_correction_interface.cpp
    canvas/kis_tool_proxy.cpp
    canvas/kis_canvas_decoration.cc
    canvas/kis_coordinates_converter.cpp
    canvas/kis_grid_manager.cpp
    canvas/kis_grid_decoration.cpp
    canvas/kis_grid_config.cpp
    canvas/kis_prescaled_projection.cpp
    canvas/kis_qpainter_canvas.cpp
    canvas/kis_projection_backend.cpp
    canvas/kis_update_info.cpp
    canvas/kis_image_patch.cpp
    canvas/kis_image_pyramid.cpp
    canvas/kis_infinity_manager.cpp
    canvas/kis_change_guides_command.cpp
    canvas/kis_guides_decoration.cpp
    canvas/kis_guides_manager.cpp
    canvas/kis_guides_config.cpp
    canvas/kis_snap_config.cpp
    canvas/kis_snap_line_strategy.cpp
    canvas/KisSnapPointStrategy.cpp
    canvas/KisSnapPixelStrategy.cpp
    canvas/KisMirrorAxisConfig.cpp
    dialogs/kis_about_application.cpp
    dialogs/kis_dlg_adj_layer_props.cc
    dialogs/kis_dlg_adjustment_layer.cc
    dialogs/kis_dlg_filter.cpp
    dialogs/kis_dlg_generator_layer.cpp
    dialogs/kis_dlg_file_layer.cpp
    dialogs/kis_dlg_filter.cpp
    dialogs/kis_dlg_stroke_selection_properties.cpp
    dialogs/kis_dlg_image_properties.cc
    dialogs/kis_dlg_layer_properties.cc
    dialogs/kis_dlg_preferences.cc
    dialogs/slider_and_spin_box_sync.cpp
    dialogs/kis_dlg_blacklist_cleanup.cpp
    dialogs/kis_dlg_layer_style.cpp
    dialogs/kis_dlg_png_import.cpp
    dialogs/kis_dlg_import_image_sequence.cpp
    dialogs/kis_delayed_save_dialog.cpp
    dialogs/KisSessionManagerDialog.cpp
    dialogs/KisNewWindowLayoutDialog.cpp
    dialogs/KisDlgChangeCloneSource.cpp
    dialogs/KisRecoverNamedAutosaveDialog.cpp
    flake/kis_node_dummies_graph.cpp
    flake/kis_dummies_facade_base.cpp
    flake/kis_dummies_facade.cpp
    flake/kis_node_shapes_graph.cpp
    flake/kis_node_shape.cpp
    flake/kis_shape_controller.cpp
    flake/kis_shape_layer.cc
    flake/kis_shape_layer_canvas.cpp
    flake/kis_shape_selection.cpp
    flake/kis_shape_selection_canvas.cpp
    flake/kis_shape_selection_model.cpp
    flake/kis_take_all_shapes_command.cpp
    brushhud/kis_uniform_paintop_property_widget.cpp
    brushhud/kis_brush_hud.cpp
    brushhud/kis_round_hud_button.cpp
    brushhud/kis_dlg_brush_hud_config.cpp
    brushhud/kis_brush_hud_properties_list.cpp
    brushhud/kis_brush_hud_properties_config.cpp

    kis_aspect_ratio_locker.cpp
    kis_autogradient.cc
    kis_bookmarked_configurations_editor.cc
    kis_bookmarked_configurations_model.cc
    kis_bookmarked_filter_configurations_model.cc
    KisPaintopPropertiesBase.cpp
    kis_canvas_resource_provider.cpp
    kis_derived_resources.cpp
    kis_categories_mapper.cpp
    kis_categorized_list_model.cpp
    kis_categorized_item_delegate.cpp
    kis_clipboard.cc
    kis_config.cc
    KisOcioConfiguration.cpp
    kis_control_frame.cpp
    kis_composite_ops_model.cc
    kis_paint_ops_model.cpp
    kis_custom_pattern.cc
    kis_file_layer.cpp
    kis_change_file_layer_command.h
    kis_safe_document_loader.cpp
    kis_splash_screen.cpp
    kis_filter_manager.cc
    kis_filters_model.cc
    KisImageBarrierLockerWithFeedback.cpp
    kis_image_manager.cc
    kis_image_view_converter.cpp
    kis_import_catcher.cc
    kis_layer_manager.cc
    kis_mask_manager.cc
    kis_mimedata.cpp
    kis_node_commands_adapter.cpp
    kis_node_manager.cpp
    kis_node_juggler_compressed.cpp
    kis_node_selection_adapter.cpp
    kis_node_insertion_adapter.cpp
    KisNodeDisplayModeAdapter.cpp
    kis_node_model.cpp
    kis_node_filter_proxy_model.cpp
    kis_model_index_converter_base.cpp
    kis_model_index_converter.cpp
    kis_model_index_converter_show_all.cpp
    kis_painting_assistant.cc
    kis_painting_assistants_decoration.cpp
    KisDecorationsManager.cpp
    kis_paintop_box.cc
    kis_paintop_option.cpp
    kis_paintop_options_model.cpp
    kis_paintop_settings_widget.cpp
    kis_popup_palette.cpp
    kis_png_converter.cpp
    kis_preference_set_registry.cpp
    KisResourceServerProvider.cpp
    KisResourceBundleServerProvider.cpp
    KisSelectedShapesProxy.cpp
    kis_selection_decoration.cc
    kis_selection_manager.cc
    KisSelectionActionsAdapter.cpp
    kis_statusbar.cc
    kis_zoom_manager.cc
    kis_favorite_resource_manager.cpp
    kis_workspace_resource.cpp
    kis_action.cpp
    kis_action_manager.cpp
    KisActionPlugin.cpp
    kis_canvas_controls_manager.cpp
    kis_tooltip_manager.cpp
    kis_multinode_property.cpp
    kis_stopgradient_editor.cpp
    KisWelcomePageWidget.cpp
    KisChangeCloneLayersCommand.cpp
    KisGenericGradientEditor.cpp

    kisexiv2/kis_exif_io.cpp
    kisexiv2/kis_exiv2.cpp
    kisexiv2/kis_iptc_io.cpp
    kisexiv2/kis_xmp_io.cpp

    opengl/kis_opengl.cpp
    opengl/kis_opengl_canvas2.cpp
    opengl/kis_opengl_canvas_debugger.cpp
    opengl/kis_opengl_image_textures.cpp
    opengl/kis_texture_tile.cpp
    opengl/kis_opengl_shader_loader.cpp
    opengl/kis_texture_tile_info_pool.cpp
    opengl/KisOpenGLUpdateInfoBuilder.cpp
    opengl/KisOpenGLModeProber.cpp
    opengl/KisScreenInformationAdapter.cpp
    kis_fps_decoration.cpp

    tool/KisToolChangesTracker.cpp
    tool/KisToolChangesTrackerData.cpp
    tool/kis_selection_tool_helper.cpp
    tool/kis_selection_tool_config_widget_helper.cpp
    tool/kis_rectangle_constraint_widget.cpp
    tool/kis_shape_tool_helper.cpp
    tool/kis_tool.cc
    tool/kis_delegated_tool_policies.cpp
    tool/kis_tool_freehand.cc
    tool/kis_speed_smoother.cpp
    tool/kis_painting_information_builder.cpp
    tool/kis_stabilized_events_sampler.cpp
    tool/kis_tool_freehand_helper.cpp
    tool/kis_tool_multihand_helper.cpp
    tool/kis_figure_painting_tool_helper.cpp
    tool/KisAsyncronousStrokeUpdateHelper.cpp
    tool/kis_tool_paint.cc
    tool/kis_tool_shape.cc
    tool/kis_tool_ellipse_base.cpp
    tool/kis_tool_rectangle_base.cpp
    tool/kis_tool_polyline_base.cpp
    tool/kis_tool_utils.cpp
    tool/kis_resources_snapshot.cpp
    tool/kis_smoothing_options.cpp
    tool/KisStabilizerDelayedPaintHelper.cpp
    tool/KisStrokeSpeedMonitor.cpp
    tool/strokes/freehand_stroke.cpp
    tool/strokes/KisStrokeEfficiencyMeasurer.cpp
    tool/strokes/kis_painter_based_stroke_strategy.cpp
    tool/strokes/kis_filter_stroke_strategy.cpp
    tool/strokes/kis_color_picker_stroke_strategy.cpp
    tool/strokes/KisFreehandStrokeInfo.cpp
    tool/strokes/KisMaskedFreehandStrokePainter.cpp
    tool/strokes/KisMaskingBrushRenderer.cpp
    tool/strokes/KisMaskingBrushCompositeOpFactory.cpp
    tool/strokes/move_stroke_strategy.cpp
    tool/strokes/KisNodeSelectionRecipe.cpp
    tool/KisSelectionToolFactoryBase.cpp
    tool/KisToolPaintFactoryBase.cpp

    widgets/kis_cmb_composite.cc
    widgets/kis_cmb_contour.cpp
    widgets/kis_cmb_gradient.cpp
    widgets/kis_paintop_list_widget.cpp
    widgets/kis_cmb_idlist.cc
    widgets/kis_color_space_selector.cc
    widgets/kis_advanced_color_space_selector.cc
    widgets/kis_cie_tongue_widget.cpp
    widgets/kis_tone_curve_widget.cpp
    widgets/kis_curve_widget.cpp
    widgets/kis_custom_image_widget.cc
    widgets/kis_image_from_clipboard_widget.cpp
    widgets/kis_double_widget.cc
    widgets/kis_filter_selector_widget.cc
    widgets/kis_gradient_chooser.cc
    widgets/kis_iconwidget.cc
    widgets/kis_mask_widgets.cpp
    widgets/kis_meta_data_merge_strategy_chooser_widget.cc
    widgets/kis_multi_bool_filter_widget.cc
    widgets/kis_multi_double_filter_widget.cc
    widgets/kis_multi_integer_filter_widget.cc
    widgets/kis_multipliers_double_slider_spinbox.cpp
    widgets/kis_paintop_presets_popup.cpp
    widgets/kis_tool_options_popup.cpp
    widgets/kis_paintop_presets_chooser_popup.cpp
    widgets/kis_paintop_presets_save.cpp
    widgets/kis_paintop_preset_icon_library.cpp
    widgets/kis_pattern_chooser.cc

    widgets/kis_preset_chooser.cpp
    widgets/kis_progress_widget.cpp
    widgets/kis_selection_options.cc
    widgets/kis_scratch_pad.cpp
    widgets/kis_scratch_pad_event_filter.cpp
    widgets/kis_preset_selector_strip.cpp
    widgets/KisSelectionPropertySlider.cpp
    widgets/kis_size_group.cpp
    widgets/kis_size_group_p.cpp
    widgets/kis_wdg_generator.cpp
    widgets/kis_workspace_chooser.cpp
    widgets/kis_categorized_list_view.cpp
    widgets/kis_widget_chooser.cpp
    widgets/kis_tool_button.cpp
    widgets/kis_floating_message.cpp
    widgets/kis_lod_availability_widget.cpp
    widgets/kis_color_label_selector_widget.cpp
    widgets/kis_color_filter_combo.cpp
    widgets/kis_elided_label.cpp
    widgets/kis_stopgradient_slider_widget.cpp
    widgets/kis_preset_live_preview_view.cpp
    widgets/KisScreenColorPicker.cpp
    widgets/KoDualColorButton.cpp
    widgets/KoStrokeConfigWidget.cpp
    widgets/KoFillConfigWidget.cpp
    widgets/KisLayerStyleAngleSelector.cpp
    widgets/KisMemoryReportButton.cpp
    widgets/KisDitherWidget.cpp
    widgets/KisWarningWidget.cpp

    KisPaletteEditor.cpp
    dialogs/KisDlgPaletteEditor.cpp

    widgets/KisNewsWidget.cpp
    widgets/KisGamutMaskToolbar.cpp

    utils/kis_document_aware_spin_box_unit_manager.cpp
    utils/KisSpinBoxSplineUnitConverter.cpp
    utils/KisClipboardUtil.cpp
    utils/KisDitherUtil.cpp
    utils/KisFileIconCreator.cpp

    input/kis_input_manager.cpp
    input/kis_input_manager_p.cpp
    input/kis_extended_modifiers_mapper.cpp
    input/kis_abstract_input_action.cpp
    input/kis_tool_invocation_action.cpp
    input/kis_pan_action.cpp
    input/kis_alternate_invocation_action.cpp
    input/kis_rotate_canvas_action.cpp
    input/kis_zoom_action.cpp
    input/kis_change_frame_action.cpp
    input/kis_gamma_exposure_action.cpp
    input/kis_show_palette_action.cpp
    input/kis_change_primary_setting_action.cpp
    input/kis_abstract_shortcut.cpp
    input/kis_native_gesture_shortcut.cpp
    input/kis_single_action_shortcut.cpp
    input/kis_stroke_shortcut.cpp
    input/kis_shortcut_matcher.cpp
    input/kis_select_layer_action.cpp
    input/KisQtWidgetsTweaker.cpp
    input/KisInputActionGroup.cpp
    input/kis_zoom_and_rotate_action.cpp

    operations/kis_operation.cpp
    operations/kis_operation_configuration.cpp
    operations/kis_operation_registry.cpp
    operations/kis_operation_ui_factory.cpp
    operations/kis_operation_ui_widget.cpp
    operations/kis_filter_selection_operation.cpp
    actions/kis_selection_action_factories.cpp
    actions/KisPasteActionFactories.cpp
    actions/KisTransformToolActivationCommand.cpp
    animation/KisVideoSaver.cpp
    animation/KisAnimationRenderingOptions.cpp
    animation/KisAnimationRender.cpp
    animation/KisDlgAnimationRenderer.cpp
    animation/VideoExportOptionsDialog.cpp
    animation/VideoHDRMetadataOptionsDialog.cpp
    animation/KisHDRMetadataOptions.cpp
    input/kis_touch_shortcut.cpp
    kis_document_undo_store.cpp
    kis_gui_context_command.cpp
    kis_gui_context_command_p.cpp
    input/kis_tablet_debugger.cpp
    input/kis_input_profile_manager.cpp
    input/kis_input_profile.cpp
    input/kis_shortcut_configuration.cpp
    input/config/kis_input_configuration_page.cpp
    input/config/kis_edit_profiles_dialog.cpp
    input/config/kis_input_profile_model.cpp
    input/config/kis_input_configuration_page_item.cpp
    input/config/kis_action_shortcuts_model.cpp

=== plugins/extensions/CMakeLists.txt ===
add_subdirectory( imagesplit )
add_subdirectory( clonesarray )
add_subdirectory( colorrange )
add_subdirectory( colorspaceconversion )
add_subdirectory( imagesize )
add_subdirectory( metadataeditor )
add_subdirectory( modify_selection )
add_subdirectory( offsetimage )
add_subdirectory( rotateimage )
add_subdirectory( separate_channels )
add_subdirectory( shearimage )
add_subdirectory( layergroupswitcher )
add_subdirectory( resourcemanager )
add_subdirectory( layersplit )
add_subdirectory( waveletdecompose )
add_subdirectory( pykrita )
add_subdirectory( qmic )
add_subdirectory( buginfo )

if (ANDROID)
    add_subdirectory( spensettings )
endif()

=== libs/widgets/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

add_definitions(-DFILES_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data/")
add_definitions(-DFILES_OUTPUT_DIR="${CMAKE_CURRENT_BINARY_DIR}")

#add_subdirectory(filedialogtester)

include(ECMAddTests)
include(KritaAddBrokenUnitTest)

ecm_add_tests(
    zoomhandler_test.cpp
    zoomcontroller_test.cpp
    KoResourceTaggingTest.cpp
    KoAnchorSelectionWidgetTest.cpp
    TestKoZoomAction.cpp
    NAME_PREFIX "libs-widgets-"
    LINK_LIBRARIES kritawidgets Qt5::Test)

=== plugins/filters/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
include_directories(    )

macro_add_unittest_definitions()
##### Tests that currently fail and should be fixed #####

include(KritaAddBrokenUnitTest)

krita_add_broken_unit_test( kis_all_filter_test.cpp
    TEST_NAME kis_all_filter_test.cpp
    NAME_PREFIX "krita-filters-"
    LINK_LIBRARIES kritaimage Qt5::Test)
    
krita_add_broken_unit_test( kis_crash_filter_test.cpp
    TEST_NAME kis_crash_filter_test.cpp
    NAME_PREFIX "krita-filters-"
    LINK_LIBRARIES kritaimage Qt5::Test)

=== plugins/generators/screentone/CMakeLists.txt ===
set(kritascreentonegenerator_SOURCES
    KisScreentoneGenerator.cpp
    KisScreentoneConfigWidget.cpp
    KisScreentoneScreentoneFunctions.cpp
    KisScreentoneBrightnessContrastFunctions.cpp
    )
ki18n_wrap_ui(kritascreentonegenerator_SOURCES
    KisScreentoneConfigWidget.ui
    )

add_library(kritascreentonegenerator MODULE ${kritascreentonegenerator_SOURCES})
target_link_libraries(kritascreentonegenerator kritaui)
install(TARGETS kritascreentonegenerator DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})

add_subdirectory(tests)

=== plugins/tools/svgtexttool/CMakeLists.txt ===
project(SvgTextTool)

set(CMAKE_AUTORCC ON)

set (SvgTextTool_SRCS
    BasicXMLSyntaxHighlighter.cpp
    Plugin.cpp
    SvgTextChangeCommand.cpp
    SvgRichTextCtrl.cpp
    SvgTextEditor.cpp
    SvgTextTool.cpp
    SvgTextToolFactory.cpp
    svgtexttool.qrc
    FontSizeAction.cpp
)

ki18n_wrap_ui(SvgTextTool_SRCS 
    WdgSvgTextEditor.ui
    WdgSvgTextSettings.ui
)

install( FILES
    SvgTextTool.action
    DESTINATION  ${DATA_INSTALL_DIR}/krita/actions
)


add_library(krita_tool_svgtext MODULE ${SvgTextTool_SRCS})
target_link_libraries(krita_tool_svgtext kritaui KF5::I18n)
install(TARGETS krita_tool_svgtext DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})

=== plugins/generators/seexpr/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

include_directories(
    ${CMAKE_SOURCE_DIR}/sdk/tests
)

macro_add_unittest_definitions()

ecm_add_tests(
    kis_seexpr_generator_test.cpp

    NAME_PREFIX "plugins-generators-"
    LINK_LIBRARIES kritaimage Qt5::Test)

=== plugins/impex/jpeg/tests/CMakeLists.txt ===
#set EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_SOURCE_DIR}/sdk/tests)
include(KritaAddBrokenUnitTest)

macro_add_unittest_definitions()

ecm_add_test(kis_jpeg_test.cpp
    TEST_NAME kis_jpeg_test
    LINK_LIBRARIES kritaui Qt5::Test
    NAME_PREFIX "plugins-impex-")

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: krita
 Section: kde
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: cmake (>= 3.0.0~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.22.0),
                gettext,
-               libboost-system-dev,
+               libboost-system-dev (>= 1.55~),
                libeigen3-dev,
-               libexiv2-dev,
+               libexiv2-dev (>= 0.16~),
                libfftw3-dev,
                libgif-dev,
                libgsl-dev,
-               libheif-dev,
+               libheif-dev (>= 1.3.0~),
                libjpeg-dev,
                libkf5completion-dev (>= 5.44.0),
                libkf5config-dev (>= 5.44.0),
@@ -26,17 +25,17 @@
                libkf5itemviews-dev (>= 5.44.0),
                libkf5widgetsaddons-dev (>= 5.44.0),
                libkf5windowsystem-dev (>= 5.44.0),
-               liblcms2-dev,
+               liblcms2-dev (>= 2.4~),
                libopencolorio-dev,
                libopenexr-dev,
                libopenjp2-7-dev (>= 2.3.0~),
                libpng-dev,
                libpoppler-qt5-dev,
+               libquazip5-dev (>= 0.6~),
                libqt5opengl5-desktop-dev,
                libqt5svg5-dev (>= 5.9.0),
                libqt5x11extras5-dev (>= 5.9.0),
-               libquazip5-dev,
-               libraw-dev,
+               libraw-dev (>= 0.16~),
                libtiff-dev,
                libxcb-util0-dev,
                libxcb1-dev,
@@ -52,7 +51,7 @@
                qtmultimedia5-dev (>= 5.9.0),
                vc-dev [any-i386 any-amd64],
                zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://krita.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/krita.git
@@ -62,7 +61,7 @@
 Architecture: any
 Section: graphics
 Depends: krita-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
-Recommends: krita-gmic, python3-pyqt5, python3-sip, qml-module-qtmultimedia
+Recommends: krita-gmic, python3-sip, python3-pyqt5, qml-module-qtmultimedia
 Suggests: colord, ffmpeg, krita-l10n (>= ${source:Version})
 Built-Using: ${vc:Built-Using}
 Description: pixel-based image manipulation program

=== debian/rules ===
--- 
+++ 
@@ -27,10 +27,4 @@
 	dh_gencontrol -pkrita -- -Vvc:Built-Using='$(VC_DEV_VERSION)'
 	dh_gencontrol --remaining-packages
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
-override_dh_missing:
-	dh_missing --fail-missing
-
 .PHONY: override_dh_auto_test

=== debian/watch ===
version=4

opts="repack, repacksuffix=+dfsg, dversionmangle=s/\+dfsg\d*$//" \
https://download.kde.org/stable/krita/([\d\.]+)/krita-([\d\.]+)\.tar\.(?:gz|xz)
